WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Image Widget] Parse error (8 posts)

  1. PoLaR5
    Member
    Posted 4 years ago #

    I get this after trying to update:
    Parse error: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /home/avparadise/blog/wp-content/plugins/image-widget/image-widget.php on line 24

  2. NancyA
    Member
    Posted 4 years ago #

    I have just downloaded this and when I tried to activate it I got the same message.

  3. Josh Leuze
    Member
    Posted 4 years ago #

    I am getting the same error on my Media Temple hosting account, works fine on a generic Linux server though.

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /nfs/c00/h00/mnt/000000/domains/example.com/html/wp-content/plugins/image-widget/image-widget.php on line 24

  4. Mike Walsh
    Member
    Posted 4 years ago #

    I just ran into the same problem in my development area. Looks like the upgrade requires PHP5. Line 24 contains the PHP keyword "public" which is PHP5 syntax.

    Mike

  5. phoney36
    Member
    Posted 4 years ago #

    I just upgraded to the latest version of image widget and it won't activate. Looks like I'm getting the same fatal error.

    Parse error: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /home/content/p/h/o/phoney36/html/counselingstories/wp-content/plugins/image-widget/image-widget.php on line 24

    Any help yet on this topic?

    Paul

  6. Josh Leuze
    Member
    Posted 4 years ago #

    I just ran into the same problem in my development area. Looks like the upgrade requires PHP5. Line 24 contains the PHP keyword "public" which is PHP5 syntax.

    That was totally the problem, thanks Mike. I thought I was running PHP5 on Media Temple, turns out each domain can run 4 or 5, and some were running PHP4. I switched to 5 and the plugin works just fine!

  7. Peter Chester
    Modern Tribe
    Posted 4 years ago #

    I've just fixed this in release 3.1.5. Thanks for all the help. Please upgrade and if it work, click the "Works" button on the plugin page. Thanks!

  8. starwyze
    Member
    Posted 3 years ago #

    It's six months later, 09/2010, and I just tried to upgrade, lost everything, and got the error message:

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /hsphere/local/home/starwyze/anewmind.net/blog/wp-content/plugins/image-widget/image-widget.php on line 285

    Really like the widget. Please help. Thanks.

Topic Closed

This topic has been closed to new replies.

About this Topic